MontaukOS 0.1.8 (July 18, 2026)
    (71c66f803516558012be13ee38cb02a9a0ba476a)

New
====
    * Ported GCC/G++ compilers and binutils (as, ld, ar) to MontaukOS, with a hosted libstdc++, forming the new Montauk SDK
    * Installer redesigned on the MTK toolkit, with new software component selection
    * MTK toolkit now anti-aliases rounded-rect frames (buttons, fields, panels)
    * Intel GPU page flipping is now vblank-synced and double-buffered
    * Max open desktop windows raised from 16 to 32

Fixed
=====
    * The Files pathbar now qualifies paths
    * Fixed Font Preview crash when opened manually
    * Fixed inconsistent border radiuses on MTK UI elements
    * Fixed Intel HDA audio controllers not being recognized
    * Bluetooth A2DP audio output is now exclusive to one process, preventing playback conflicts
    * Fixed a desktop/Files app freeze when deleting large files
    * Roughly halved the ISO size by no longer embedding a redundant copy of the ramdisk

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/os/certs/ca-certificates.crt)
    * Intel Bluetooth controller firmware (0:/os/firmware/intel)
    * Third-party license texts and notices (0:/os/licenses)
    * Tiny C Compiler (tcc) with MontaukOS headers and libraries (0:/lib/tcc)
    * Lua 5.4 interpreter (lua) with headers and static library (0:/lib/lua)
    * Montauk SDK - native GCC/G++ and binutils (0:/sdk), built via `make sdk`
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM engine with SDL_mixer audio support (game data not included)
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Default wallpaper - blossoms by Nikhil Kumar, Unsplash (0:/os/wallpapers)

MontaukOS 0.1.7 (July 9, 2026)
    (9b66d3f4703b9d4d19d1a7f37aff8d36fb076f7c)

New
====
    * The libc printf-family functions now support floating-point (decimal) formatting, so Lua and other programs print decimal numbers correctly
    * DOOM now shows a warning when no WAD game-data file is present rather than crashing
    * Manual pages updated to document current MontaukOS

Fixed
=====
    * Fixed ramdisk file copies being incorrectly created as directories rather than files

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/os/certs/ca-certificates.crt)
    * Intel Bluetooth controller firmware (0:/os/firmware/intel)
    * Third-party license texts and notices (0:/os/licenses)
    * Tiny C Compiler (tcc) with MontaukOS headers and libraries (0:/lib/tcc)
    * Lua 5.4 interpreter (lua) with headers and static library (0:/lib/lua)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM engine with SDL_mixer audio support (game data not included)
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Default wallpaper - blossoms by Nikhil Kumar, Unsplash (0:/os/wallpapers)

MontaukOS 0.1.6 (July 8, 2026) - hotfix
    (ce5f4075138f22865fec6f583c7cfb0272a17676)

Fixed
=====
    * Fixed a boot failure on VirtualBox VMs configured with legacy BIOS
    * PCI: I/O-space BARs are no longer treated as MMIO addresses

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/os/certs/ca-certificates.crt)
    * Intel Bluetooth controller firmware (0:/os/firmware/intel)
    * Third-party license texts and notices (0:/os/licenses)
    * Tiny C Compiler (tcc) with MontaukOS headers and libraries (0:/lib/tcc)
    * Lua 5.4 interpreter (lua) with headers and static library (0:/lib/lua)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM engine with SDL_mixer audio support (game data not included)
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Default wallpaper - blossoms by Nikhil Kumar, Unsplash (0:/os/wallpapers)

MontaukOS 0.1.5 (July 8, 2026)
    (37c51f31fcb5b9dc4b983c9aaeb27ff0f7827adb)

New
====
    * New Character Map app (charmap)
    * New Power app (powermgr) for CPU power and thermal monitoring
    * CPU power and thermal management for Intel CPUs
    * Software-defined radio support: RTL-SDR (RTL2832U + R820T2) USB driver, kernel radio APIs, and an sdr demo tool
    * Intel Bluetooth firmware loading performance improvements
    * New default login-screen wallpaper (0:/os/wallpapers/default.jpg), used when no wallpaper is configured

Fixed
=====
    * Fix partially broken Bluetooth pairing and reconnection
    * Bluetooth audio (A2DP) setup and reconnection reliability
    * HCI events spanning multiple USB packets are now reassembled correctly, fixing Intel Bluetooth controller bring-up hangs
    * Bluetooth MAC addresses are now displayed in conventional MSB-first byte order in the userspace Bluetooth app 
    * Fixed the desktop app loading cap
    * Cleanup: shared libraries renamed to drop the 'lib' prefix, leftover test programs removed

Licensing
=========
    * MontaukOS 0.1.5 is source-available: the MontaukOS Software License permits use, study, modification, and free redistribution with attribution (commercial distribution still requires permission)
    * Third-party license texts and notices now ship on the ISO (0:/os/licenses/), covering the Flat Remix icon theme (GPLv3), the DOOM engine (GPLv2), the Tiny C Compiler (LGPL-2.1), Lua (MIT), the bundled fonts (OFL-1.1 for JetBrains Mono, Noto Serif, and Roboto; AGPLv3 with font-embedding exception for C059), the Mozilla CA certificate bundle (MPL-2.0), Intel Bluetooth firmware (Intel redistributable license), and other components
    * The proprietary DOOM shareware WAD (doom1.wad) is not distributed; the DOOM engine still ships, but users must supply their own game data

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/os/certs/ca-certificates.crt)
    * Intel Bluetooth controller firmware (0:/os/firmware/intel)
    * Third-party license texts and notices (0:/os/licenses)
    * Tiny C Compiler (tcc) with MontaukOS headers and libraries (0:/lib/tcc)
    * Lua 5.4 interpreter (lua) with headers and static library (0:/lib/lua)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM engine with SDL_mixer audio support (game data not included)
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Default wallpaper - blossoms by Nikhil Kumar, Unsplash (0:/os/wallpapers)

MontaukOS 0.1.4 (June 21, 2026)
    (4cda83aa58aa22431ec64893b7960f871729dab4)

New
====
    * Shell tab completion for executables, built-in commands, and files in the working directory
    * New console session mode for text-mode operation
    * New shell commands:
        * proclist - list running processes
        * btlist - list connected Bluetooth devices
        * btbonds - list bonded (paired) Bluetooth devices
    * Bluetooth app now shows paired devices, and the Bluetooth stack supports MAC address spoofing
    * Bluetooth audio (A2DP) playback reliability improvements
    * Crash reporting now works from console sessions as well as the desktop
    * New bootloader-agnostic Boot Contract, decoupling the kernel from the bootloader
    * C API syscall numbers for the bundled TCC compiler are now auto-generated and verified at build time

Fixed
=====
    * Fixed an NVMe completion-queue desync that could break all disk reads
    * Fixed TCP/IP stack bugs
    * Fixed an SMP race in the kernel crash-report ring buffer, and guarded against crash-handler crash loops
    * Fixed Terminal scrolling and zoom inconsistencies
    * Fixed scrolling cutoff for the last entry in Device Explorer
    * Fixed UI issues in Files app dialogs
    * Fixed a TLS (secure networking) bug affecting system programs
    * Performance improvement in the kernel string-stream helper
    * Numerous additional kernel, shell, and desktop bug fixes

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/os/certs/ca-certificates.crt)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM Shareware game with SDL_mixer audio support
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)

MontaukOS 0.1.3 (June 7, 2026)
    (0642d930df6eee66b40423c6e621327b1e3d5c0e)

New
====
    * New 2048 game
    * New Audio app with a system audio mixer for per-application volume control
    * Bluetooth audio (A2DP) support, including Intel Bluetooth controller firmware loading
    * USB mass storage device support, with hotplugging and removable medium detection in Files
    * SVG image support in Image Viewer, including vector zoom
    * New Network Configuration applet, backed by kernel network statistics reporting
    * Process Manager gains a Performance tab with CPU usage graphing (kernel now exposes CPU time)
    * Scheduler now supports threading
    * xHCI BIOS-to-OS handoff
    * Login screen rebuilt on the MTK toolkit, with faster drawing and a shutdown progress display
    * Graceful shutdown and reboot: Bluetooth devices are disconnected and disks are flushed
    * Files app improvements:
        * Selection marquee, now also in list view
        * Properties dialog for single and multiple files
        * Delete confirmation for directories
        * Refresh button and USB medium detection
        * Support for folders with more than 64 entries
        * 64-bit file sizes
        * Asynchronous copy, move, and delete with a progress dialog
    * MTK GUI toolkit improvements:
        * New graphing widget
        * New scrollbar widget, with scrollbars standardized across apps
        * Improved input boxes
        * Right-click context menus
    * Accent colors respected in more desktop components, including print dialogs
    * Word Processor now discovers installed fonts automatically (from 0:/fonts)
    * Icons added to the PDF Viewer toolbar
    * Terminal emulator performance improvements
    * Wikipedia app improvements and a simplified starting page
    * Music app defaults to the user's Music folder
    * Paint app UI improvements
    * System Configuration renamed to Settings
    * Kernel build numbering
    * Licensing files added and copyright notices updated

Fixed
=====
    * Login screen no longer hangs when no USB input device is connected
    * Various shell and Terminal reliability fixes, including output redirection and a white flash on launch
    * Fixed audio mixer and Music app freezes, and a freeze when closing the Music app
    * Reliability improvements in the Window Server and IPC subsystems
    * Fixed a periodic freeze in the print stack
    * Fixed desktop background selection freeze
    * Process-wide spinlock added to the userspace heap for thread safety
    * Fixed the VFS delete operation for the ramdisk driver
    * Fixed list alignment with indent options in the Word Processor
    * Fixed Screenshot full-screen flickering
    * Standardized and fixed scrollbars in the Text Editor and other apps
    * Corrected process and PID reporting
    * Numerous additional kernel and desktop bug fixes

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/os/certs/ca-certificates.crt)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM Shareware game with SDL_mixer audio support
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)

MontaukOS 0.1.2 (May 2, 2026)

New
====
    * Symmetric Multiprocessing (SMP) support
    * New Time Zone Configuration applet in System Configuration with full time zone database
    * Message box dialogs (OK, Yes/No, OK/Cancel) as a shared library (see Docs > Desktop Internals > Dialogs)
    * Open/Save file dialogs as a shared library (see Docs > Desktop Internals > Dialogs)
    * Copy and Move file operations in Files app
    * Standard MTK GUI toolkit; the following apps were ported:
        * Calculator
        * Weather
        * Wikipedia
        * Bluetooth
        * Disks
        * Printers
        * Process Manager
    * New formatting options added to Wikipedia
    * New Screenshot app for capturing desktop images
    * New Paint app
    * New Video Player app with AVI format support
    * Ported Lua scripting language interpreter
    * Terminal app ported to Window Server from being desktop built-in app
    * Terminal app now supports zoom shortcuts
    * Process Manager (procmgr) ported to Window Server, UI revamped, Windows tab added
    * New Word Processor app; PDF export included
    * New Spreadsheet app
    * Text Editor app ported to Window Server from being desktop built-in app
    * Text Editor now supports C and Lua syntax highlighting
    * Audio visualizer added to Music app
    * New Window Server helpers for standalone GUI apps (win_create, win_poll, win_present, etc.)
    * Files app now has virtual folders to expose system components (System Configuration, Apps folders)
    * Drive labels displayed in Files app
    * Process crash popups (CrashReport)
    * Expanded ACPI support
    * Primitive S3 sleep/wake support
    * Support for Internet Printing Protocol (IPP) printing
    * Print dialog and test page printing
    * Primitive clipboard support
    * ELF shared library support with PIC code model
    * Login screen improvements
    * PDF viewer rendering improvements
    * Super + Space keyboard shortcut for desktop search panel

Included in ISO
================

    * MontaukOS SMP kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/etc/ca-certificates.crt)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM Shareware game with SDL_mixer audio support
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Desktop wallpaper - Lake and mountains by Stephen Walker, Unsplash

MontaukOS 0.1.1

New
====

    * Quality of life improvements in Wikipedia Client and Image Viewer apps
    * Fixed memory leaks
    * Fixed ghost shell.elf process bug in terminal emulator
    * Fixed File Manager rendering bug

Included in ISO
================

    * MontaukOS kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/etc/ca-certificates.crt)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM Shareware game and Montauk DOOM runtime (0:/games/doom.elf)
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Desktop wallpaper - Lake and mountains by Stephen Walker, Unsplash

MontaukOS 0.1.0
(first release)

Included in ISO
================

    * MontaukOS kernel
    * Userspace bootstrap (0:/os/init.elf) and other essential system utilities
    * MontaukOS desktop environment and graphical apps
    * Manual pages (0:/man), readable via man command
    * System CA certificates (0:/etc/ca-certificates.crt)
    * Flat Remix icon pack
    * JetBrains Mono, Noto Serif, Roboto, and C059 Roman (open Century Schoolbook) TrueType fonts
    * DOOM Shareware game and Montauk DOOM runtime (0:/games/doom.elf)
    * Experimental HTTP server (httpd) and default page (0:/www/index.html)
    * Desktop wallpaper - pine forest by Gustav Gullstrand, Unsplash
